GAI_STRERROR(P)

NAME
gai_strerror - address and name information error description

SYNOPSIS

#include <netdb.h>

const char *gai_strerror(int ecode);

DESCRIPTION

The gai_strerror() function shall return a text string describing an error value for the getaddrinfo() and getnameinfo() functions listed in the <netdb.h> header.

When the ecode argument is one of the following values listed in the <netdb.h> header:

    [EAI_AGAIN]
    [EAI_BADFLAGS]
    [EAI_FAIL]
    [EAI_FAMILY]
    [EAI_MEMORY]
    [EAI_NONAME]
    [EAI_OVERFLOW]
    [EAI_SERVICE]
    [EAI_SOCKTYPE]
    [EAI_SYSTEM]

the function return value shall point to a string describing the error. If the argument is not one of those values, the function shall return a pointer to a string whose contents indicate an unknown error.

RETURN VALUE

Upon successful completion, gai_strerror() shall return a pointer to an implementation-defined string.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

getaddrinfo() , the Base Definitions volume of IEEE Std 1003.1-2001, <netdb.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .